package com.dayou.service;

import com.dayou.dto.PaymentDetailDTO;
import com.dayou.dto.PaymentExportDTO;
import com.dayou.entity.PaymentCollection;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.entity.UserTarget;
import com.dayou.vo.ItemPaymentVO;
import com.dayou.vo.PaymentCollectionVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 回款记录 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-01-10
 */
public interface IPaymentCollectionService extends IService<PaymentCollection> {

    Page<PaymentCollectionVO> selectPage(Page page, PaymentCollectionVO paymentCollection);

    /**
     * 回款记录导出
     */
    List<PaymentCollectionVO> exportPaymentCollection(PaymentCollectionVO paymentCollection);

    PaymentCollection detail(Long id);

    Boolean add(PaymentCollection paymentCollection);

    Boolean update(PaymentCollection paymentCollection);

    Boolean delete(Long id);

    IPage<ItemPaymentVO> getItemPayment(Page page, PaymentCollectionVO paymentCollectionVO);

    List<PaymentDetailDTO> getPaymentDetailListByItemId(Long id, Long userId);

    List<PaymentExportDTO> getList(PaymentCollectionVO paymentCollectionVO);
}
